mtext_putenv(3m17n)

NAME
mtext_putenv - Change or add an environment variable.

SYNOPSIS
int mtext_putenv (MText * mt)

DESCRIPTION
Change or add an environment variable.

The mtext_putenv() function changes or adds the value of environment variables according to M-text mt. It calls the function putenv with an argument generated by encoding mt according to the current locale (LC_CTYPE).

RETURN VALUE

    This function returns zero on success, or -1 if an error occurs.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.